Routes - Get

Gets the specified route from a route table.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/routeTables/{routeTableName}/routes/{routeName}?api-version=2025-05-01

URI Parameters

Name In Required Type Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

routeName
path True

string

The name of the route.

routeTableName
path True

string

The name of the route table.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

Common.Route

Azure operation completed successfully.

Other Status Codes

Common.CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Get route

Sample request

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/routeTables/testrt/routes/route1?api-version=2025-05-01

Sample response

{
  "name": "route1",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/routeTables/testrt/routes/route1",
  "properties": {
    "addressPrefix": "10.0.3.0/24",
    "nextHopType": "Internet",
    "provisioningState": "Succeeded"
  }
}

Definitions

Name Description
Common.CloudError

An error response from the service.

Common.CloudErrorBody

An error response from the service.

Common.Route

Route resource.

ProvisioningState

The provisioning state of the application security group resource.

RouteNextHopType

The type of Azure hop the packet should be sent to.

Common.CloudError

An error response from the service.

Name Type Description
error

Common.CloudErrorBody

Cloud error body.

Common.CloudErrorBody

An error response from the service.

Name Type Description
code

string

An identifier for the error. Codes are invariant and are intended to be consumed programmatically.

details

Common.CloudErrorBody[]

A list of additional details about the error.

message

string

A message describing the error, intended to be suitable for display in a user interface.

target

string

The target of the particular error. For example, the name of the property in error.

Common.Route

Route resource.

Name Type Description
etag

string

A unique read-only string that changes whenever the resource is updated.

id

string

Resource ID.

name

string

Name of the resource.

properties.addressPrefix

string

The destination CIDR to which the route applies.

properties.hasBgpOverride

boolean

A value indicating whether this route overrides overlapping BGP routes regardless of LPM.

properties.nextHopIpAddress

string

The IP address packets should be forwarded to. Next hop values are only allowed in routes where the next hop type is VirtualAppliance.

properties.nextHopType

RouteNextHopType

The type of Azure hop the packet should be sent to.

properties.provisioningState

ProvisioningState

The provisioning state of the route resource.

type

string

Resource type.

ProvisioningState

The provisioning state of the application security group resource.

Value Description
Failed

Failed

Succeeded

Succeeded

Canceled

Canceled

Creating

Creating

Updating

Updating

Deleting

Deleting

RouteNextHopType

The type of Azure hop the packet should be sent to.

Value Description
VirtualNetworkGateway

VirtualNetworkGateway

VnetLocal

VnetLocal

Internet

Internet

VirtualAppliance

VirtualAppliance

None

None